/realms/{realmId}/organizations/{organizationId}/policy-request
curl --request GET \
--url https://api.ruleengine.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/policy-request \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ruleengine.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/policy-request"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ruleengine.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/policy-request', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"next": "<string>",
"items": [
{
"id": "<string>",
"realmId": "<string>",
"organizationId": "<string>",
"accountId": "<string>",
"walletId": "<string>",
"subjectType": "<string>",
"subjectId": "<string>",
"requester": {
"userId": "<string>",
"name": "<string>",
"email": "<string>"
},
"body": {},
"policyId": "<string>",
"approvalDeadline": "<string>",
"approvalHierarchy": true,
"approvals": [
{
"id": "<string>",
"name": "<string>",
"users": [
{
"userId": "<string>",
"userName": "<string>",
"userEmail": "<string>"
}
],
"createdAt": "<string>",
"requestedAt": "<string>",
"decisionAt": "<string>"
}
],
"executionFailReason": "<string>",
"executionMoveBalance": {
"addBalance": true,
"fromAccountId": "<string>",
"fromWalletId": "<string>"
},
"createdAt": "<string>",
"updatedAt": "<string>"
}
]
}Policy Request
/realms/{realmId}/organizations/{organizationId}/policy-request
GET
/
realms
/
{realmId}
/
organizations
/
{organizationId}
/
policy-request
/realms/{realmId}/organizations/{organizationId}/policy-request
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Minimum string length:
1Available options:
REQUESTED, APPROVED, DENIED, CANCELED, EXPIRED Available options:
WAITING, PROCESSING, EXECUTED, FAILED Available options:
WAITING, REQUESTED, APPROVED, DENIED, CANCELED Minimum string length:
1Minimum string length:
1Minimum string length:
1Required range:
0 < x <= 100⌘I